Name:		fsarchiver
Version:	0.8.6
Release:	%mkrel 2

Summary:	Safe and flexible file-system backup/deployment tool
Group:		Archiving/Backup
License:	GPLv2
URL:		http://www.fsarchiver.org
Source0:  	https://github.com/fdupoux/fsarchiver/releases/download/%{version}/fsarchiver-%{version}.tar.gz
BuildRequires:	e2fsprogs
BuildRequires:	e2fsprogs-devel >= 1.41.4
BuildRequires:	libgcrypt-devel
BuildRequires:	liblzo-devel
BuildRequires:	pkgconfig(liblzma)
BuildRequires:	pkgconfig(blkid)
BuildRequires:	pkgconfig(bzip2)
BuildRequires:	pkgconfig(liblz4)
BuildRequires:	pkgconfig(uuid)
BuildRequires:	pkgconfig(zlib)
BuildRequires:	pkgconfig(libzstd)

%description
FSArchiver is a system tool that allows you to save the contents of a
file-system to a compressed archive file. The file-system can be restored
on a partition which has a different size and it can be restored on a
different file-system. Unlike tar/dar, FSArchiver also creates the
file-system when it extracts the data to partitions. Everything is
checksummed in the archive in order to protect the data. If the archive
is corrupt, you just loose the current file, not the whole archive.

%prep
%setup -q
%autopatch -p1

%build
%configure
%make_build

%install
%make_install

%files
%doc README THANKS NEWS ChangeLog
%{_sbindir}/%{name}
%{_mandir}/man8/%{name}*


%changelog
* Tue Mar 29 2022 umeabot <umeabot> 0.8.6-2.mga9
+ Revision: 1833543
- Mageia 9 Mass Rebuild

* Mon Mar 01 2021 daviddavid <daviddavid> 0.8.6-1.mga9
+ Revision: 1695066
- new version: 0.8.6

* Tue Feb 11 2020 umeabot <umeabot> 0.8.5-2.mga8
+ Revision: 1488924
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sat Aug 25 2018 wally <wally> 0.8.5-1.mga7
+ Revision: 1254430
- new version 0.8.5
- drop upstreamed patches

* Wed Feb 21 2018 wally <wally> 0.8.4-1.mga7
+ Revision: 1203965
- new version 0.8.4
- drop upstreamed linking patch

* Tue Feb 20 2018 daviddavid <daviddavid> 0.8.3-2.mga7
+ Revision: 1203532
- add upstream patch to replace <attr/xattr.h> with <sys/xattr.h>

* Sat Dec 23 2017 wally <wally> 0.8.3-1.mga7
+ Revision: 1184187
- new version 0.8.3
- enable lz4 support

* Sat Sep 16 2017 wally <wally> 0.8.2-1.mga7
+ Revision: 1154827
- new version 0.8.2

* Tue Jan 17 2017 wally <wally> 0.8.1-1.mga6
+ Revision: 1082156
- new version 0.8.1

* Mon Aug 22 2016 wally <wally> 0.8.0-1.mga6
+ Revision: 1047851
- new version 0.8.0

* Sun Feb 28 2016 wally <wally> 0.6.22-1.mga6
+ Revision: 980518
- new version 0.6.22

* Fri Jan 08 2016 wally <wally> 0.6.21-1.mga6
+ Revision: 920639
- new version 0.6.21

* Mon Sep 14 2015 fwang <fwang> 0.6.19-4.mga6
+ Revision: 879128
- rebuild for new libgcrypt

* Wed Oct 15 2014 umeabot <umeabot> 0.6.19-3.mga5
+ Revision: 740034
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.6.19-2.mga5
+ Revision: 679366
- Mageia 5 Mass Rebuild

* Sun Mar 02 2014 wally <wally> 0.6.19-1.mga5
+ Revision: 598549
- new version 0.6.19

* Sun Feb 16 2014 wally <wally> 0.6.18-1.mga5
+ Revision: 592772
- new version 0.6.18

* Fri Oct 18 2013 umeabot <umeabot> 0.6.17-2.mga4
+ Revision: 522376
- Mageia 4 Mass Rebuild

* Wed Feb 27 2013 wally <wally> 0.6.17-1.mga3
+ Revision: 400529
- new version 0.6.17

* Mon Feb 11 2013 wally <wally> 0.6.16-1.mga3
+ Revision: 397885
- new version 0.6.16

* Fri Jan 11 2013 umeabot <umeabot> 0.6.15-2.mga3
+ Revision: 350966
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jun 02 2012 wally <wally> 0.6.15-1.mga3
+ Revision: 253483
- new version 0.6.15

* Sat Mar 17 2012 wally <wally> 0.6.13-1.mga2
+ Revision: 223745
- new version 0.6.13

* Sun Jan 09 2011 wally <wally> 0.6.12-1.mga1
+ Revision: 1657
- imported package fsarchiver


* Sat Dec 25 2010 Jani Välimaa <wally@mandriva.org> 0.6.12-1mdv2011.0
+ Revision: 624927
- new version 0.6.12
- finally fix overlinking in a pretty way (add P0)
- increase build time verbosity

* Sun Dec 05 2010 Jani Välimaa <wally@mandriva.org> 0.6.11-1mdv2011.0
+ Revision: 609621
- new version 0.6.11
- drop upstream applied patch

* Sat Nov 27 2010 Funda Wang <fwang@mandriva.org> 0.6.10-3mdv2011.0
+ Revision: 601650
- rebuild for new liblzma

* Thu Oct 21 2010 Jani Välimaa <wally@mandriva.org> 0.6.10-2mdv2011.0
+ Revision: 587168
- add update-supported-btrfs-compat-flags.patch from upstream
- fix overlinking

* Sat Jul 10 2010 Jani Välimaa <wally@mandriva.org> 0.6.10-1mdv2011.0
+ Revision: 550072
- new version 0.6.10
- drop upstream applied patches
- new version 0.6.9
- drop applied patches

* Sat May 08 2010 Jani Välimaa <wally@mandriva.org> 0.6.8-2mdv2010.1
+ Revision: 543988
- add patches from upstream:
  * fsarchiver-0.6.8-02-fix-rest-small-archives.patch
  * fsarchiver-0.6.8-03-restore-error-handling.patch
  * fsarchiver-0.6.8-04-remove-all-volumes-on-error.patch
  * fsarchiver-0.6.8-05-fix-ntfs-links.patch

* Wed Apr 07 2010 Jani Välimaa <wally@mandriva.org> 0.6.8-1mdv2010.1
+ Revision: 532852
- initial Mandriva release based on Fedora .spec


